Package org.pentaho.reporting.libraries.resourceloader.loader.resource

## Class ClassloaderResourceData

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.loader.AbstractResourceData
  - - org.pentaho.reporting.libraries.resourceloader.loader.resource.ClassloaderResourceData

- All Implemented Interfaces:
    `java.io.Serializable`, `ResourceData`

      public class ClassloaderResourceData
      extends AbstractResourceData

  Creation-Date: 05.04.2006, 15:15:36
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceData

      `CONTENT_LENGTH, CONTENT_TYPE, FILENAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassloaderResourceData​(ResourceKey key)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getAttribute​(java.lang.String key)` |
    `ResourceKey` | `getKey()` |
    `java.io.InputStream` | `getResourceAsStream​(ResourceManager caller)` |
    `long` | `getVersion​(ResourceManager caller)` |

    - ### Methods inherited from class org.pentaho.reporting.libraries.resourceloader.loader.AbstractResourceData

      `getLength, getResource, getResource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassloaderResourceData

          public ClassloaderResourceData​(ResourceKey key)

  - ### Method Detail

    - #### getResourceAsStream

          public java.io.InputStream getResourceAsStream​(ResourceManager caller)
                                                  throws ResourceLoadingException

      Throws:
        `ResourceLoadingException`

    - #### getAttribute

          public java.lang.Object getAttribute​(java.lang.String key)

    - #### getVersion

          public long getVersion​(ResourceManager caller)
                          throws ResourceLoadingException

      Throws:
        `ResourceLoadingException`

    - #### getKey

          public ResourceKey getKey()